Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema Class Reference
Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema:
[legend]

## Classes
class | Sample

## Public Types
typedef INuPatchSchema | this_type
typedef Sample | sample_type
Public Types inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< NuPatchSchemaInfo >
typedef NuPatchSchemaInfo | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< NuPatchSchemaInfo >
typedef NuPatchSchemaInfo | info_type
typedef ISchema< NuPatchSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
typedef ICompoundProperty | this_type

## Public Member Functions
| INuPatchSchema ()
| The default constructor.
| INuPatchSchema (const ICompoundProperty &iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| INuPatchSchema (const ICompoundProperty &iProp, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
size_t | getNumSamples () const
MeshTopologyVariance | getTopologyVariance () const
bool | isConstant () const
AbcA::TimeSamplingPtr | getTimeSampling () const
| Time information.
void | get (sample_type &oSample, const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
Sample | getValue (const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
Abc::IP3fArrayProperty | getPositionsProperty () const
Abc::IFloatArrayProperty | getUKnotsProperty () const
Abc::IFloatArrayProperty | getVKnotsProperty () const
Abc::IV3fArrayProperty | getVelocitiesProperty () const
Abc::IFloatArrayProperty | getPositionWeightsProperty () const
IN3fGeomParam | getNormalsParam () const
IV2fGeomParam | getUVsParam () const
bool | hasTrimCurve () const
bool | trimCurveTopologyIsHomogenous () const
bool | trimCurveTopologyIsConstant () const
void | reset ()
bool | valid () const
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (INuPatchSchema::valid())
Public Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< NuPatchSchemaInfo >
| IGeomBaseSchema ()
void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Abc::IBox3dProperty | getSelfBoundsProperty () const
Abc::IBox3dProperty | getChildBoundsProperty () const
ICompoundProperty | getArbGeomParams () const
ICompoundProperty | getUserProperties () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< NuPatchSchemaInfo >
| ISchema ()
virtual | ~ISchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty.
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions
bool | hasTrimProps () const
void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes
Abc::IP3fArrayProperty | m_positionsProperty
Abc::IInt32Property | m_numUProperty
Abc::IInt32Property | m_numVProperty
Abc::IInt32Property | m_uOrderProperty
Abc::IInt32Property | m_vOrderProperty
Abc::IFloatArrayProperty | m_uKnotProperty
Abc::IFloatArrayProperty | m_vKnotProperty
Abc::IV3fArrayProperty | m_velocitiesProperty
Abc::IFloatArrayProperty | m_positionWeightsProperty
IN3fGeomParam | m_normalsParam
IV2fGeomParam | m_uvsParam
Abc::IInt32Property | m_trimNumLoopsProperty
Abc::IInt32ArrayProperty | m_trimNumVerticesProperty
Abc::IInt32ArrayProperty | m_trimNumCurvesProperty
Abc::IInt32ArrayProperty | m_trimOrderProperty
Abc::IFloatArrayProperty | m_trimKnotProperty
Abc::IFloatArrayProperty | m_trimMinProperty
Abc::IFloatArrayProperty | m_trimMaxProperty
Abc::IFloatArrayProperty | m_trimUProperty
Abc::IFloatArrayProperty | m_trimVProperty
Abc::IFloatArrayProperty | m_trimWProperty
bool | m_hasTrimCurve
Protected Attributes inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< NuPatchSchemaInfo >
Abc::IBox3dProperty | m_selfBoundsProperty
Abc::IBox3dProperty | m_childBoundsProperty
Abc::ICompoundProperty | m_arbGeomParams
Abc::ICompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< NuPatchSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getDefaultSchemaName ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type

## Member Typedef Documentation

## ◆ this_type

typedef INuPatchSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ◆ INuPatchSchema() [1/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::INuPatchSchema | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )
| inline

This constructor creates a new nurbs patch reader. The first argument is the parent ICompoundProperty, from which the error handler policy for is derived. The second argument is the name of the ICompoundProperty that contains this schemas properties. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

## ◆ INuPatchSchema() [2/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::INuPatchSchema | ( | const ICompoundProperty & | iProp,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )
| inline explicit

This constructor wraps an existing ICompoundProperty as the nurbs reader, and the error handler policy is derived from it. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

## Member Function Documentation

## ◆ ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | INuPatchSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

## ◆ getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::getNumSamples | ( |  | ) | const
| inline

Return the number of samples contained in the property. This can be any number, including zero. This returns the number of samples that were written, independently of whether or not they were constant.

## ◆ getTopologyVariance()

MeshTopologyVariance Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::getTopologyVariance | ( |  | ) | const

Return the topological variance. This indicates how the mesh may change.

## ◆ isConstant()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::isConstant | ( |  | ) | const
| inline

Ask if we're constant - no change in value amongst samples, regardless of the time sampling.

## ◆ reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::reset | ( |  | ) |
| inline virtual

Reset returns this function set to an empty, default state.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< NuPatchSchemaInfo >.

## ◆ valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::valid | ( |  | ) | const
| inline virtual

Valid returns whether this function set is valid.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< NuPatchSchemaInfo >.

The documentation for this class was generated from the following files:

- AbcGeom/INuPatch.h
- AbcGeom/INuPatch.cpp